Modify

Opened 2 years ago

Closed 2 years ago

#21534 closed defect (invalid)

build: Support LibreSSL as provider of openssl

Reported by: kabel Owned by: developers
Priority: normal Milestone:
Component: toolchain Version: Trunk
Keywords: Cc:

Description

The build scripts check for openssl by grepping the string "OpenSSL" in the output of openssl version command. LibreSSL fails this test as it outputs something like "LibreSSL 2.2.4". This patch fix the prereq-bulid.mk file so that it accepts LibreSSL as openssl provider as well.

Attachments (1)

build:_Support_LibreSSL_as_provider_of_openssl.patch (623 bytes) - added by kabel 2 years ago.

Download all attachments as: .zip

Change History (2)

comment:1 Changed 2 years ago by jow

  • Resolution set to invalid
  • Status changed from new to closed

Please submit according to SubmittingPatches.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.